Merchant API v1beta was discontinued and shut down on February 28, 2026. For steps to transition to the latest stable version, see Migrate from v1beta to v1.
Registers the GCP used for the API call to the shopping account passed in the request. Will create a user with an "API developer" and add the "developerEmail" as a contact with "API notifications" email preference on.
HTTP request
POST https://merchantapi.googleapis.com/accounts/v1alpha/{name=accounts/*/developerRegistration}:registerGcp
Required. The name of the developer registration to be created for the merchant account that the GCP will be registered with. Format: accounts/{account}/developerRegistration
Request body
The request body contains data with the following structure:
JSON representation
{"developerEmail": string}
Fields
developerEmail
string
Immutable. Optional field. Developer role can be also added by using users.update method. If the developer email provided is associated with a user in the provided merchant account, the user will be updated to have API_DEVELOPERaccessRights and the email preference corresponding to that user will be updated to have the new API notifications preference. If the developer email provided is not associated with any user, it is added as a contact. The email preference corresponding to that contact will have the new API notifications preference. Make sure the email used is associated with a Google Account and is not a service account as service accounts can't receive emails.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-03-17 UTC."],[],[]]